curl --request POST \
--url https://sandbox.hurdlr.com/rest/v5/banks/getTransactions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: */*' \
--data '
{
"transactionFilters": {
"bankAccountId": 123,
"apiAccountId": "<string>",
"statuses": [],
"reviewStatuses": [],
"bankDescription": "<string>",
"description": "<string>",
"minAmount": 123,
"maxAmount": 123,
"year": 123,
"month": 123,
"beginDate": "<string>",
"endDate": "<string>",
"includeTotal": true
},
"expenseFilters": {
"id": 123,
"categoryIds": [
123
],
"personalCategoryIds": [
123
],
"vendorName": "<string>",
"vendorIds": [
123
],
"businessIds": [
123
],
"clientIds": [
123
]
},
"revenueFilters": {
"id": 123,
"types": [],
"businessIds": [
123
],
"clientIds": [
123
]
},
"bankTransferFilters": {
"id": 123,
"types": []
},
"taxPaymentFilters": {
"id": 123,
"types": []
},
"invoicePaymentFilters": {
"id": 123,
"types": []
}
}
'import requests
url = "https://sandbox.hurdlr.com/rest/v5/banks/getTransactions"
payload = {
"transactionFilters": {
"bankAccountId": 123,
"apiAccountId": "<string>",
"statuses": [],
"reviewStatuses": [],
"bankDescription": "<string>",
"description": "<string>",
"minAmount": 123,
"maxAmount": 123,
"year": 123,
"month": 123,
"beginDate": "<string>",
"endDate": "<string>",
"includeTotal": True
},
"expenseFilters": {
"id": 123,
"categoryIds": [123],
"personalCategoryIds": [123],
"vendorName": "<string>",
"vendorIds": [123],
"businessIds": [123],
"clientIds": [123]
},
"revenueFilters": {
"id": 123,
"types": [],
"businessIds": [123],
"clientIds": [123]
},
"bankTransferFilters": {
"id": 123,
"types": []
},
"taxPaymentFilters": {
"id": 123,
"types": []
},
"invoicePaymentFilters": {
"id": 123,
"types": []
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "*/*"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': '*/*'},
body: JSON.stringify({
transactionFilters: {
bankAccountId: 123,
apiAccountId: '<string>',
statuses: [],
reviewStatuses: [],
bankDescription: '<string>',
description: '<string>',
minAmount: 123,
maxAmount: 123,
year: 123,
month: 123,
beginDate: '<string>',
endDate: '<string>',
includeTotal: true
},
expenseFilters: {
id: 123,
categoryIds: [123],
personalCategoryIds: [123],
vendorName: '<string>',
vendorIds: [123],
businessIds: [123],
clientIds: [123]
},
revenueFilters: {id: 123, types: [], businessIds: [123], clientIds: [123]},
bankTransferFilters: {id: 123, types: []},
taxPaymentFilters: {id: 123, types: []},
invoicePaymentFilters: {id: 123, types: []}
})
};
fetch('https://sandbox.hurdlr.com/rest/v5/banks/getTransactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"entityId": 123,
"amount": 123,
"date": "2023-11-07T05:31:56Z",
"bankAccountId": 123,
"description": "<string>",
"bankDescription": "<string>",
"apiTransactionId": "<string>",
"apiAccountId": "<string>",
"apiAccountNo": "<string>",
"apiAccountName": "Citi Premier® Card",
"apiInstitutionId": "<string>",
"expenseFields": {
"vendorName": "<string>",
"vendorId": 123,
"businessName": "<string>",
"businessId": 123,
"clientId": 123,
"categoryName": "<string>",
"categoryId": 123,
"personalCategoryName": "<string>",
"personalCategoryId": 123,
"expenseRuleId": 123,
"bankTransferId": 123,
"glAccountName": "<string>"
},
"revenueFields": {
"businessName": "<string>",
"businessId": 123,
"clientId": 123,
"revenueAccountId": 123,
"glAccountName": "<string>",
"revenueRuleId": 123,
"bankTransferId": 123,
"invoiceId": 123
},
"bankTransferFields": {
"creditAccountId": 123,
"debitAccountId": 123,
"isPayout": true,
"glAccountName": "<string>"
},
"taxPaymentFields": {
"glAccountName": "<string>"
},
"arPaymentFields": {
"bankTransferId": 123
},
"customData": {},
"isClosed": true,
"v6EntityId": "<string>"
}
],
"cursor": "<string>",
"total": 123
}Get transactions
Get all transactions for the authenticated user
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
Cursor from the previous paginated response
Page size, i.e. number of items to return per page
Body
Filter object
Filters that pertain to all transactions
Show child attributes
Show child attributes
Filters that pertain to all expense transactions
Show child attributes
Show child attributes
Filters that pertain to all revenue transactions
Show child attributes
Show child attributes
Filters that pertain to all bank transfer transactions
Show child attributes
Show child attributes
Filters that pertain to all tax payment transactions
Show child attributes
Show child attributes
Filters that pertain to all invoice payment transactions
Show child attributes
Show child attributes
Response
Successful operation
List of transactions
Show child attributes
Show child attributes
Cursor to be used in your subsequent paginated request. Only populated if there are more pages available.
Total count of transactions in this query. Only populated if includeTotal is true in the request body transactionFilters.